%global fontname hiran-rufscript
%global fontconf 69-%{fontname}.conf

%global archivename Rufscript010

Name:           %{fontname}-fonts
Version:        0.100
Release:        2%{?dist}
Summary:        A font based on handwriting

Group:          User Interface/X
License:        GPLv3 with exceptions
URL:            http://hiran.in/blog/rufscript-font
Source0:        http://hiran.in/content/fonts/rufscript/src/%{archivename}.sfd
Source1:        %{fontname}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel, fontforge
Requires:       fontpackages-filesystem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Rufscript is a handwriting font derived from the handwriting of the author's 
friend, Lithu.  It is suitable for comic strips and small labels. It was 
created using completely free and open source tools. 


%prep
%setup -q -c -T
cp %{SOURCE0} .


%build
fontforge -lang=ff -c 'Open($1); Generate($2);' %{archivename}.sfd %{archivename}.ttf


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc


%changelog
* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.100-2
- clean up per rpmlint

* Sun Sep 19 2010 Jared Smith <jsmith at fedoraproject.org> - 0.100-1
- Initial packaging, roughly based on earlier SPEC by Rahul Sundaram
